Index: CKEditor/trunk/_dev/docs_build/docs_build.conf
===================================================================
--- CKEditor/trunk/_dev/docs_build/docs_build.conf	(revision 4035)
+++ CKEditor/trunk/_dev/docs_build/docs_build.conf	(revision 4036)
@@ -17,4 +17,5 @@
 		'../../_source/core/',
 		'../../_source/plugins/',
+		'../../_source/skins/kama/skin.js',
 		'../../_source/lang/en.js'
 	],
Index: CKEditor/trunk/_source/core/config.js
===================================================================
--- CKEditor/trunk/_source/core/config.js	(revision 4035)
+++ CKEditor/trunk/_source/core/config.js	(revision 4036)
@@ -43,4 +43,12 @@
 	customConfig : CKEDITOR.getUrl( 'config.js' ),
 
+	/**
+	 * Whether the replaced element (usually a textarea) is to be updated
+	 * automatically when posting the form containing the editor.
+	 * @type Boolean
+	 * @default true
+	 * @example
+	 * config.autoUpdateElement = true;
+	 */
 	autoUpdateElement : true,
 
@@ -80,5 +88,5 @@
 	 * The user interface language localization to use. If empty, the editor
 	 * automatically localize the editor to the user language, if supported,
-	 * otherwise the [@link #defaultLanguage] language is used.
+	 * otherwise the {@link CKEDITOR.config.defaultLanguage} language is used.
 	 * @default true
 	 * @type Boolean
@@ -90,5 +98,5 @@
 
 	/**
-	 * The language to be used if [@link #language] is left empty and it's not
+	 * The language to be used if {@link CKEDITOR.config.language} is left empty and it's not
 	 * possible to localize the editor to the user language.
 	 * @default 'en'
@@ -99,5 +107,40 @@
 	defaultLanguage : 'en',
 
+	/**
+	 * Sets the behavior for the ENTER key. It also dictates other behaviour
+	 * rules in the editor, like whether the &lt;br&gt; element is to be used
+	 * as a paragraph separator when indenting text.
+	 * The allowed values are the following constants, and their relative
+	 * behavior:
+	 * <ul>
+	 *     <li>{@link CKEDITOR.ENTER_P} (1): new &lt;p&gt; paragraphs are created;</li>
+	 *     <li>{@link CKEDITOR.ENTER_BR} (2): lines are broken with &lt;br&gt; elements;</li>
+	 *     <li>{@link CKEDITOR.ENTER_DIV} (3): new &lt;div&gt; blocks are created.</li>
+	 * </ul>
+	 * <strong>Note</strong>: It's recommended to use the
+	 * {@link CKEDITOR.ENTER_P} value because of its semantic value and
+	 * correctness. The editor is optimized for this value.
+	 * @type Number
+	 * @default {@link CKEDITOR.ENTER_P}
+	 * @example
+	 * // Not recommended.
+	 * config.enterMode = CKEDITOR.ENTER_BR;
+	 */
 	enterMode : CKEDITOR.ENTER_P,
+
+	/**
+	 * Just like the {@link CKEDITOR.config.enterMode} setting, it defines the behavior for the SHIFT+ENTER key.
+	 * The allowed values are the following constants, and their relative
+	 * behavior:
+	 * <ul>
+	 *     <li>{@link CKEDITOR.ENTER_P} (1): new &lt;p&gt; paragraphs are created;</li>
+	 *     <li>{@link CKEDITOR.ENTER_BR} (2): lines are broken with &lt;br&gt; elements;</li>
+	 *     <li>{@link CKEDITOR.ENTER_DIV} (3): new &lt;div&gt; blocks are created.</li>
+	 * </ul>
+	 * @type Number
+	 * @default {@link CKEDITOR.ENTER_BR}
+	 * @example
+	 * config.shiftEnterMode = CKEDITOR.ENTER_P;
+	 */
 	shiftEnterMode : CKEDITOR.ENTER_BR,
 
@@ -137,7 +180,10 @@
 	/**
 	 * The editor height, in CSS size format or pixel integer.
-	 * @type String|Number
+	 * @type Number|String
 	 * @default '200'
 	 * @example
+	 * config.height = 500;
+	 * @example
+	 * config.height = '25em';
 	 */
 	height : 200,
@@ -145,8 +191,9 @@
 	/**
 	 * Comma separated list of plugins to load and initialize for an editor
-	 * instance.
-	 * @type String
-	 * @example
-	 * config.plugins = 'basicstyles,button,htmldataprocessor,toolbar,wysiwygarea';
+	 * instance. This should be rarely changed, using instead the
+	 * {@link CKEDITOR.config.extraPlugins} and
+	 * {@link CKEDITOR.config.removePlugins} for customizations.
+	 * @type String
+	 * @example
 	 */
 	plugins : 'about,basicstyles,blockquote,button,clipboard,colorbutton,contextmenu,elementspath,enterkey,entities,filebrowser,find,flash,font,format,forms,horizontalrule,htmldataprocessor,image,indent,justify,keystrokes,link,list,maximize,newpage,pagebreak,pastefromword,pastetext,popup,preview,print,removeformat,resize,save,scayt,smiley,showblocks,sourcearea,stylescombo,table,tabletools,specialchar,tab,templates,toolbar,undo,wysiwygarea,wsc',
@@ -155,5 +202,5 @@
 	 * List of additional plugins to be loaded. This is a tool setting which
 	 * makes it easier to add new plugins, whithout having to touch and
-	 * possibly breaking the <i>plugins</i> setting.
+	 * possibly breaking the {@link CKEDITOR.config.plugins} setting.
 	 * @type String
 	 * @example
@@ -164,6 +211,7 @@
 	/**
 	 * List of plugins that must not be loaded. This is a tool setting which
-	 * makes it easier to avoid loading plugins definied in the <i>plugins</i>
-	 * setting, whithout having to touch and possibly breaking it.
+	 * makes it easier to avoid loading plugins definied in the
+	 * {@link CKEDITOR.config.plugins} setting, whithout having to touch it and
+	 * potentially breaking it.
 	 * @type String
 	 * @example
@@ -176,4 +224,5 @@
 	 * indicating code that must stay untouched.
 	 * @type Array
+	 * @default [] (empty array)
 	 * @example
 	 * config.protectedSource.push( /<\?[\s\S]*?\?>/g );   // PHP Code
@@ -217,6 +266,9 @@
 	 * The editor width in CSS size format or pixel integer.
 	 * @type String|Number
-	 * @default ''
-	 * @example
+	 * @default '' (empty)
+	 * @example
+	 * config.width = 850;
+	 * @example
+	 * config.width = '75%';
 	 */
 	width : '',
Index: CKEditor/trunk/_source/plugins/colorbutton/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/colorbutton/plugin.js	(revision 4035)
+++ CKEditor/trunk/_source/plugins/colorbutton/plugin.js	(revision 4036)
@@ -142,5 +142,22 @@
 });
 
+/**
+ * Whether to enable the "More Colors..." button in the color selectors.
+ * @default false
+ * @type Boolean
+ * @example
+ * config.colorButton_enableMore = false;
+ */
 CKEDITOR.config.colorButton_enableMore = false;
+
+/**
+ * Defines the colors to be displayed in the color selectors. It's a string
+ * containing the hexadecimal notation for HTML colors, without the "#" prefix.
+ * @type String
+ * @default '000,800000,8B4513,2F4F4F,008080,000080,4B0082,696969,B22222,A52A2A,DAA520,006400,40E0D0,0000CD,800080,808080,F00,FF8C00,FFD700,008000,0FF,00F,EE82EE,A9A9A9,FFA07A,FFA500,FFFF00,00FF00,AFEEEE,ADD8E6,DDA0DD,D3D3D3,FFF0F5,FAEBD7,FFFFE0,F0FFF0,F0FFFF,F0F8FF,E6E6FA,FFF'
+ * @example
+ * // Brazil colors only.
+ * config.colorButton_colors = '00923E,F8C100,28166F';
+ */
 CKEDITOR.config.colorButton_colors =
 	'000,800000,8B4513,2F4F4F,008080,000080,4B0082,696969,' +
@@ -150,4 +167,15 @@
 	'FFF0F5,FAEBD7,FFFFE0,F0FFF0,F0FFFF,F0F8FF,E6E6FA,FFF';
 
+/**
+ * Holds the style definition to be used to apply the text foreground color.
+ * @type Object
+ * @example
+ * // This is basically the default setting value.
+ * config.colorButton_foreStyle =
+ *     {
+ *         element : 'span',
+ *         styles : { 'color' : '#(color)' }
+ *     };
+ */
 CKEDITOR.config.colorButton_foreStyle =
 	{
@@ -157,4 +185,15 @@
 	};
 
+/**
+ * Holds the style definition to be used to apply the text background color.
+ * @type Object
+ * @example
+ * // This is basically the default setting value.
+ * config.colorButton_backStyle =
+ *     {
+ *         element : 'span',
+ *         styles : { 'background-color' : '#(color)' }
+ *     };
+ */
 CKEDITOR.config.colorButton_backStyle =
 	{
Index: CKEditor/trunk/_source/plugins/editingblock/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/editingblock/plugin.js	(revision 4035)
+++ CKEditor/trunk/_source/plugins/editingblock/plugin.js	(revision 4036)
@@ -214,5 +214,5 @@
  * @default 'wysiwyg'
  * @example
- * config.toolbarLocation = 'source';
+ * config.startupMode = 'source';
  */
 CKEDITOR.config.startupMode = 'wysiwyg';
@@ -222,6 +222,15 @@
  * @type Boolean
  * @default false
+ * @example
+ * config.startupFocus = true;
  */
 CKEDITOR.config.startupFocus = false;
 
+/**
+ * Whether to render or not the editing block area in the editor interface.
+ * @type Boolean
+ * @default true
+ * @example
+ * config.editingBlock = false;
+ */
 CKEDITOR.config.editingBlock = true;
Index: CKEditor/trunk/_source/plugins/entities/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/entities/plugin.js	(revision 4035)
+++ CKEditor/trunk/_source/plugins/entities/plugin.js	(revision 4036)
@@ -146,7 +146,55 @@
 })();
 
+/**
+ * Whether to use HTML entities in the output.
+ * @type Boolean
+ * @default true
+ * @example
+ * config.entities = false;
+ */
 CKEDITOR.config.entities = true;
+
+/**
+ * Whether to convert some Latin characters (Latin alphabet No&#46; 1, ISO 8859-1)
+ * to HTML entities. The list of entities can be found at the
+ * <a href="http://www.w3.org/TR/html4/sgml/entities.html#h-24.2.1">W3C HTML 4.01 Specification, section 24.2.1</a>.
+ * @type Boolean
+ * @default true
+ * @example
+ * config.entities_latin = false;
+ */
 CKEDITOR.config.entities_latin = true;
+
+/**
+ * Whether to convert some symbols, mathematical symbols, and Greek letters to
+ * HTML entities. This may be more relevant for users typing text written in Greek.
+ * The list of entities can be found at the
+ * <a href="http://www.w3.org/TR/html4/sgml/entities.html#h-24.3.1">W3C HTML 4.01 Specification, section 24.3.1</a>.
+ * @type Boolean
+ * @default true
+ * @example
+ * config.entities_greek = false;
+ */
 CKEDITOR.config.entities_greek = true;
+
+/**
+ * Whether to convert all remaining characters, not comprised in the ASCII
+ * character table, to their relative numeric representation of HTML entity.
+ * For example, the phrase "This is Chinese: &#27721;&#35821;." is outputted
+ * as "This is Chinese: &amp;#27721;&amp;#35821;."
+ * @type Boolean
+ * @default false
+ * @example
+ * config.entities_processNumerical = true;
+ */
 CKEDITOR.config.entities_processNumerical = false;
+
+/**
+ * An additional list of entities to be used. It's a string containing each
+ * entry separated by a comma. Entities names or number must be used, exclusing
+ * the "&amp;" preffix and the ";" termination.
+ * @default '#39'  // The single quote (') character.
+ * @type String
+ * @example
+ */
 CKEDITOR.config.entities_additional = '#39';
Index: CKEditor/trunk/_source/plugins/find/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/find/plugin.js	(revision 4035)
+++ CKEditor/trunk/_source/plugins/find/plugin.js	(revision 4036)
@@ -32,4 +32,15 @@
 } );
 
-// Styles for highlighting search results.
+/**
+ * Defines the style to be used to highlight results with the find dialog.
+ * @type Object
+ * @default { element : 'span', styles : { 'background-color' : '#004', 'color' : '#fff' } }
+ * @example
+ * // Highlight search results with blue on yellow.
+ * config.find_highlight =
+ *     {
+ *         element : 'span',
+ *         styles : { 'background-color' : '#ff0', 'color' : '#00f' }
+ *     };
+ */
 CKEDITOR.config.find_highlight = { element : 'span', styles : { 'background-color' : '#004', 'color' : '#fff' } };
Index: CKEditor/trunk/_source/plugins/font/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/font/plugin.js	(revision 4035)
+++ CKEditor/trunk/_source/plugins/font/plugin.js	(revision 4036)
@@ -118,6 +118,22 @@
 })();
 
-// Font settings.
-
+/**
+ * The list of fonts names to be displayed in the Font combo in the toolbar.
+ * Entries are separated by semi-colons (;), while it's possible to have more
+ * than one font for each entry, in the HTML way (separated by comma).
+ *
+ * A display name may be optionally defined by prefixing the entries with the
+ * name and the slash character. For example, "Arial/Arial, Helvetica, sans-serif"
+ * will be displayed as "Arial" in the list, but will be outputted as
+ * "Arial, Helvetica, sans-serif".
+ * @type String
+ * @example
+ * config.font_names =
+ *     'Arial/Arial, Helvetica, sans-serif;' +
+ *     'Times New Roman/Times New Roman, Times, serif;' +
+ *     'Verdana';
+ * @example
+ * config.font_names = 'Arial;Times New Roman;Verdana';
+ */
 CKEDITOR.config.font_names =
 	'Arial/Arial, Helvetica, sans-serif;' +
@@ -131,5 +147,26 @@
 	'Verdana/Verdana, Geneva, sans-serif';
 
+/**
+ * The text to be displayed in the Font combo is none of the available values
+ * matches the current cursor position or text selection.
+ * @type String
+ * @example
+ * // If the default site font is Arial, we may making it more explicit to the end user.
+ * config.font_defaultLabel = 'Arial';
+ */
 CKEDITOR.config.font_defaultLabel = '';
+
+/**
+ * The style definition to be used to apply the font in the text.
+ * @type Object
+ * @example
+ * // This is actually the default value for it.
+ * config.font_style =
+ *     {
+ *         element		: 'span',
+ *         styles		: { 'font-family' : '#(family)' },
+ *         overrides	: [ { element : 'font', attributes : { 'face' : null } } ]
+ *     };
+ */
 CKEDITOR.config.font_style =
 	{
@@ -139,14 +176,52 @@
 	};
 
-// Font Size setting.
-
+/**
+ * The list of fonts size to be displayed in the Font Size combo in the
+ * toolbar. Entries are separated by semi-colons (;).
+ *
+ * Any kind of "CSS like" size can be used, like "12px", "2.3em", "130%",
+ * "larger" or "x-small".
+ *
+ * A display name may be optionally defined by prefixing the entries with the
+ * name and the slash character. For example, "Bigger Font/14px" will be
+ * displayed as "Bigger Font" in the list, but will be outputted as "14px".
+ * @type String
+ * @default '8/8px;9/9px;10/10px;11/11px;12/12px;14/14px;16/16px;18/18px;20/20px;22/22px;24/24px;26/26px;28/28px;36/36px;48/48px;72/72px'
+ * @example
+ * config.fontSize_sizes = '16/16px;24/24px;48/48px;';
+ * @example
+ * config.fontSize_sizes = '12px;2.3em;130%;larger;x-small';
+ * @example
+ * config.fontSize_sizes = '12 Pixels/12px;Big/2.3em;30 Percent More/130%;Bigger/larger;Very Small/x-small';
+ */
 CKEDITOR.config.fontSize_sizes =
 	'8/8px;9/9px;10/10px;11/11px;12/12px;14/14px;16/16px;18/18px;20/20px;22/22px;24/24px;26/26px;28/28px;36/36px;48/48px;72/72px';
 
+/**
+ * The text to be displayed in the Font Size combo is none of the available
+ * values matches the current cursor position or text selection.
+ * @type String
+ * @example
+ * // If the default site font size is 12px, we may making it more explicit to the end user.
+ * config.fontSize_defaultLabel = '12px';
+ */
 CKEDITOR.config.fontSize_defaultLabel = '';
+
+/**
+ * The style definition to be used to apply the font size in the text.
+ * @type Object
+ * @example
+ * // This is actually the default value for it.
+ * config.fontSize_style =
+ *     {
+ *         element		: 'span',
+ *         styles		: { 'font-size' : '#(size)' },
+ *         overrides	: [ { element : 'font', attributes : { 'size' : null } } ]
+ *     };
+ */
 CKEDITOR.config.fontSize_style =
 	{
 		element		: 'span',
 		styles		: { 'font-size' : '#(size)' },
-		overrides	: [ { element : 'font', attributes : { 'face' : null } } ]
+		overrides	: [ { element : 'font', attributes : { 'size' : null } } ]
 	};
Index: CKEditor/trunk/_source/plugins/format/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/format/plugin.js	(revision 4035)
+++ CKEditor/trunk/_source/plugins/format/plugin.js	(revision 4036)
@@ -88,14 +88,104 @@
 });
 
+/**
+ * A list of semi colon separated style names (by default tags) representing
+ * the style definition for each entry to be displayed in the Format combo in
+ * the toolbar. Each entry must have its relative definition configuration in a
+ * setting named "format_(tagName)". For example, the "p" entry has its
+ * definition taken from config.format_p.
+ * @type String
+ * @default 'p;h1;h2;h3;h4;h5;h6;pre;address;div'
+ * @example
+ * config.format_tags = 'p;h2;h3;pre'
+ */
 CKEDITOR.config.format_tags = 'p;h1;h2;h3;h4;h5;h6;pre;address;div';
 
-CKEDITOR.config.format_p		= { element : 'p' };
-CKEDITOR.config.format_div		= { element : 'div' };
-CKEDITOR.config.format_pre		= { element : 'pre' };
-CKEDITOR.config.format_address	= { element : 'address' };
-CKEDITOR.config.format_h1		= { element : 'h1' };
-CKEDITOR.config.format_h2		= { element : 'h2' };
-CKEDITOR.config.format_h3		= { element : 'h3' };
-CKEDITOR.config.format_h4		= { element : 'h4' };
-CKEDITOR.config.format_h5		= { element : 'h5' };
-CKEDITOR.config.format_h6		= { element : 'h6' };
+/**
+ * The style definition to be used to apply the "Normal" format.
+ * @type Object
+ * @default { element : 'p' }
+ * @example
+ * config.format_p = { element : 'p', attributes : { class : 'normalPara' } };
+ */
+CKEDITOR.config.format_p = { element : 'p' };
+
+/**
+ * The style definition to be used to apply the "Normal (DIV)" format.
+ * @type Object
+ * @default { element : 'div' }
+ * @example
+ * config.format_div = { element : 'div', attributes : { class : 'normalDiv' } };
+ */
+CKEDITOR.config.format_div = { element : 'div' };
+
+/**
+ * The style definition to be used to apply the "Formatted" format.
+ * @type Object
+ * @default { element : 'pre' }
+ * @example
+ * config.format_pre = { element : 'pre', attributes : { class : 'code' } };
+ */
+CKEDITOR.config.format_pre = { element : 'pre' };
+
+/**
+ * The style definition to be used to apply the "Address" format.
+ * @type Object
+ * @default { element : 'address' }
+ * @example
+ * config.format_address = { element : 'address', attributes : { class : 'styledAddress' } };
+ */
+CKEDITOR.config.format_address = { element : 'address' };
+
+/**
+ * The style definition to be used to apply the "Heading 1" format.
+ * @type Object
+ * @default { element : 'h1' }
+ * @example
+ * config.format_h1 = { element : 'h1', attributes : { class : 'contentTitle1' } };
+ */
+CKEDITOR.config.format_h1 = { element : 'h1' };
+
+/**
+ * The style definition to be used to apply the "Heading 1" format.
+ * @type Object
+ * @default { element : 'h2' }
+ * @example
+ * config.format_h2 = { element : 'h2', attributes : { class : 'contentTitle2' } };
+ */
+CKEDITOR.config.format_h2 = { element : 'h2' };
+
+/**
+ * The style definition to be used to apply the "Heading 1" format.
+ * @type Object
+ * @default { element : 'h3' }
+ * @example
+ * config.format_h3 = { element : 'h3', attributes : { class : 'contentTitle3' } };
+ */
+CKEDITOR.config.format_h3 = { element : 'h3' };
+
+/**
+ * The style definition to be used to apply the "Heading 1" format.
+ * @type Object
+ * @default { element : 'h4' }
+ * @example
+ * config.format_h4 = { element : 'h4', attributes : { class : 'contentTitle4' } };
+ */
+CKEDITOR.config.format_h4 = { element : 'h4' };
+
+/**
+ * The style definition to be used to apply the "Heading 1" format.
+ * @type Object
+ * @default { element : 'h5' }
+ * @example
+ * config.format_h5 = { element : 'h5', attributes : { class : 'contentTitle5' } };
+ */
+CKEDITOR.config.format_h5 = { element : 'h5' };
+
+/**
+ * The style definition to be used to apply the "Heading 1" format.
+ * @type Object
+ * @default { element : 'h6' }
+ * @example
+ * config.format_h6 = { element : 'h6', attributes : { class : 'contentTitle6' } };
+ */
+CKEDITOR.config.format_h6 = { element : 'h6' };
Index: CKEditor/trunk/_source/plugins/htmldataprocessor/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/htmldataprocessor/plugin.js	(revision 4035)
+++ CKEditor/trunk/_source/plugins/htmldataprocessor/plugin.js	(revision 4036)
@@ -360,3 +360,13 @@
 })();
 
+/**
+ * Whether to force using "&" instead of "&amp;amp;" in elements attributes
+ * values. It's not recommended to change this setting for compliance with the
+ * W3C XHTML 1.0 standards
+ * (<a href="http://www.w3.org/TR/xhtml1/#C_12">C.12, XHTML 1.0</a>).
+ * @type Boolean
+ * @default false
+ * @example
+ * config.forceSimpleAmpersand = false;
+ */
 CKEDITOR.config.forceSimpleAmpersand = false;
Index: CKEditor/trunk/_source/plugins/image/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/image/plugin.js	(revision 4035)
+++ CKEditor/trunk/_source/plugins/image/plugin.js	(revision 4036)
@@ -55,3 +55,10 @@
 } );
 
+/**
+ * Whether to remove links when emptying the link URL field in the image dialog.
+ * @type Boolean
+ * @default true
+ * @example
+ * config.image_removeLinkByEmptyURL = false;
+ */
 CKEDITOR.config.image_removeLinkByEmptyURL = true;
Index: CKEditor/trunk/_source/plugins/keystrokes/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/keystrokes/plugin.js	(revision 4035)
+++ CKEditor/trunk/_source/plugins/keystrokes/plugin.js	(revision 4036)
@@ -148,9 +148,17 @@
 
 /**
- * A list of keystrokes to be blocked if not defined in the {@link #keystrokes}
+ * A list of keystrokes to be blocked if not defined in the {@link CKEDITOR.config.keystrokes}
  * setting. In this way it is possible to block the default browser behavior
  * for those keystrokes.
  * @type Array
+ * @default (see example)
  * @example
+ * // This is actually the default value.
+ * config.blockedKeystrokes =
+ * [
+ *     CKEDITOR.CTRL + 66 &#47;*B*&#47;,
+ *     CKEDITOR.CTRL + 73 &#47;*I*&#47;,
+ *     CKEDITOR.CTRL + 85 &#47;*U*&#47;
+ * ];
  */
 CKEDITOR.config.blockedKeystrokes =
@@ -164,7 +172,28 @@
  * A list associating keystrokes to editor commands. Each element in the list
  * is an array where the first item is the keystroke, and the second is the
- * command to be executed.
+ * name of the command to be executed.
  * @type Array
+ * @default (see example)
  * @example
+ * // This is actually the default value.
+ * config.keystrokes =
+ * [
+ *     [ CKEDITOR.ALT + 121 &#47;*F10*&#47;, 'toolbarFocus' ],
+ *     [ CKEDITOR.ALT + 122 &#47;*F11*&#47;, 'elementsPathFocus' ],
+ *
+ *     [ CKEDITOR.SHIFT + 121 &#47;*F10*&#47;, 'contextMenu' ],
+ *
+ *     [ CKEDITOR.CTRL + 90 &#47;*Z*&#47;, 'undo' ],
+ *     [ CKEDITOR.CTRL + 89 &#47;*Y*&#47;, 'redo' ],
+ *     [ CKEDITOR.CTRL + CKEDITOR.SHIFT + 90 &#47;*Z*&#47;, 'redo' ],
+ *
+ *     [ CKEDITOR.CTRL + 76 &#47;*L*&#47;, 'link' ],
+ *
+ *     [ CKEDITOR.CTRL + 66 &#47;*B*&#47;, 'bold' ],
+ *     [ CKEDITOR.CTRL + 73 &#47;*I*&#47;, 'italic' ],
+ *     [ CKEDITOR.CTRL + 85 &#47;*U*&#47;, 'underline' ],
+ *
+ *     [ CKEDITOR.ALT + 109 &#47;*-*&#47;, 'toolbarCollapse' ]
+ * ];
  */
 CKEDITOR.config.keystrokes =
Index: CKEditor/trunk/_source/plugins/menu/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/menu/plugin.js	(revision 4035)
+++ CKEditor/trunk/_source/plugins/menu/plugin.js	(revision 4036)
@@ -349,5 +349,25 @@
 });
 
+/**
+ * The amount of time, in milliseconds, the editor waits before showing submenu
+ * options when moving the mouse over options that contains submenus, like the
+ * "Cell Properties" entry for tables.
+ * @type Number
+ * @default 400
+ * @example
+ * // Remove the submenu delay.
+ * config.menu_subMenuDelay = 0;
+ */
 CKEDITOR.config.menu_subMenuDelay = 400;
+
+/**
+ * A comma separated list of items group names to be displayed in the context
+ * menu. The items order will reflect the order in this list if no priority
+ * has been definted in the groups.
+ * @type String
+ * @default 'clipboard,form,tablecell,tablecellproperties,tablerow,tablecolumn,table,anchor,link,image,flash,checkbox,radio,textfield,hiddenfield,imagebutton,button,select,textarea'
+ * @example
+ * config.menu_groups = 'clipboard,table,anchor,link,image';
+ */
 CKEDITOR.config.menu_groups =
 	'clipboard,' +
Index: CKEditor/trunk/_source/plugins/newpage/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/newpage/plugin.js	(revision 4035)
+++ CKEditor/trunk/_source/plugins/newpage/plugin.js	(revision 4036)
@@ -56,4 +56,10 @@
 	}
 });
-
+/**
+ * The HTML to load in the editor when the "new page" command is executed.
+ * @type String
+ * @default ''
+ * @example
+ * config.newpage_html = '&lt;p&gt;Type your text here.&lt;/p&gt;';
+ */
 CKEDITOR.config.newpage_html = '';
Index: CKEditor/trunk/_source/plugins/pastefromword/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/pastefromword/plugin.js	(revision 4035)
+++ CKEditor/trunk/_source/plugins/pastefromword/plugin.js	(revision 4036)
@@ -23,5 +23,32 @@
 } );
 
+/**
+ * Whether the "Ignore font face definitions" checkbox is enabled by default in
+ * the Paste from Word dialog.
+ * @type Boolean
+ * @default true
+ * @example
+ * config.pasteFromWordIgnoreFontFace = false;
+ */
 CKEDITOR.config.pasteFromWordIgnoreFontFace = true;
+
+/**
+ * Whether the "Remove styles definitions" checkbox is enabled by default in
+ * the Paste from Word dialog.
+ * @type Boolean
+ * @default false
+ * @example
+ * config.pasteFromWordRemoveStyle = true;
+ */
 CKEDITOR.config.pasteFromWordRemoveStyle = false;
+
+/**
+ * Whether to keep structure markup (&lt;h1&gt;, &lt;h2&gt;, etc.) or replace
+ * it with elements that create more similar pasting results when pasting
+ * content from Microsoft Word into the Paste from Word dialog.
+ * @type Boolean
+ * @default false
+ * @example
+ * config.pasteFromWordKeepsStructure = true;
+ */
 CKEDITOR.config.pasteFromWordKeepsStructure = false;
Index: CKEditor/trunk/_source/plugins/pastetext/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/pastetext/plugin.js	(revision 4035)
+++ CKEditor/trunk/_source/plugins/pastetext/plugin.js	(revision 4036)
@@ -131,3 +131,12 @@
 };
 
+/**
+ * Whether to force all pasting operations to insert on plain text into the
+ * editor, loosing any formatting information possibly available in the source
+ * text.
+ * @type Boolean
+ * @default false
+ * @example
+ * config.forcePasteAsPlainText = true;
+ */
 CKEDITOR.config.forcePasteAsPlainText = false;
Index: CKEditor/trunk/_source/plugins/removeformat/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/removeformat/plugin.js	(revision 4035)
+++ CKEditor/trunk/_source/plugins/removeformat/plugin.js	(revision 4036)
@@ -114,6 +114,19 @@
 };
 
-// Only inline elements are valid.
+/**
+ * A comma separated list of elements to be removed when executing the "remove
+ " format" command. Note that only inline elements are allowed.
+ * @type String
+ * @default 'b,big,code,del,dfn,em,font,i,ins,kbd,q,samp,small,span,strike,strong,sub,sup,tt,u,var'
+ * @example
+ */
 CKEDITOR.config.removeFormatTags = 'b,big,code,del,dfn,em,font,i,ins,kbd,q,samp,small,span,strike,strong,sub,sup,tt,u,var';
 
+/**
+ * A comma separated list of elements attributes to be removed when executing
+ * the "remove format" command.
+ * @type String
+ * @default 'class,style,lang,width,height,align,hspace,valign'
+ * @example
+ */
 CKEDITOR.config.removeFormatAttributes = 'class,style,lang,width,height,align,hspace,valign';
Index: CKEditor/trunk/_source/plugins/resize/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/resize/plugin.js	(revision 4035)
+++ CKEditor/trunk/_source/plugins/resize/plugin.js	(revision 4036)
@@ -70,7 +70,46 @@
 } );
 
+/**
+ * The minimum editor width, in pixels, when resizing it with the resize handle.
+ * @type Number
+ * @default 750
+ * @example
+ * config.resize_minWidth = 500;
+ */
 CKEDITOR.config.resize_minWidth = 750;
+
+/**
+ * The minimum editor height, in pixels, when resizing it with the resize handle.
+ * @type Number
+ * @default 250
+ * @example
+ * config.resize_minHeight = 600;
+ */
 CKEDITOR.config.resize_minHeight = 250;
+
+/**
+ * The maximum editor width, in pixels, when resizing it with the resize handle.
+ * @type Number
+ * @default 3000
+ * @example
+ * config.resize_maxWidth = 750;
+ */
 CKEDITOR.config.resize_maxWidth = 3000;
+
+/**
+ * The maximum editor height, in pixels, when resizing it with the resize handle.
+ * @type Number
+ * @default 3000
+ * @example
+ * config.resize_maxHeight = 600;
+ */
 CKEDITOR.config.resize_maxHeight = 3000;
+
+/**
+ * Whether to enable the resizing feature. If disabed the resize handler will not be visible.
+ * @type Boolean
+ * @default true
+ * @example
+ * config.resize_enabled = false;
+ */
 CKEDITOR.config.resize_enabled = true;
Index: CKEditor/trunk/_source/plugins/showblocks/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/showblocks/plugin.js	(revision 4035)
+++ CKEditor/trunk/_source/plugins/showblocks/plugin.js	(revision 4036)
@@ -143,3 +143,11 @@
 } )();
 
+/**
+ * Whether to automaticaly enable the "show block" command when the editor
+ * loads.
+ * @type Boolean
+ * @default false
+ * @example
+ * config.startupOutlineBlocks = true;
+ */
 CKEDITOR.config.startupOutlineBlocks = false;
Index: CKEditor/trunk/_source/plugins/smiley/dialogs/smiley.js
===================================================================
--- CKEditor/trunk/_source/plugins/smiley/dialogs/smiley.js	(revision 4035)
+++ CKEditor/trunk/_source/plugins/smiley/dialogs/smiley.js	(revision 4036)
@@ -8,5 +8,5 @@
 	var config = editor.config,
 		images = config.smiley_images,
-		columns = config.smiley_columns,
+		columns = 8,
 		i;
 
Index: CKEditor/trunk/_source/plugins/smiley/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/smiley/plugin.js	(revision 4035)
+++ CKEditor/trunk/_source/plugins/smiley/plugin.js	(revision 4036)
@@ -20,14 +20,56 @@
 } );
 
+/**
+ * The base path used to build the URL for the smiley images. It must end with
+ * a slash.
+ * @type String
+ * @default {@link CKEDITOR.basePath} + 'plugins/smiley/images/'
+ * @example
+ * config.smiley_path = 'http://www.example.com/images/smileys/';
+ * @example
+ * config.smiley_path = '/images/smileys/';
+ */
 CKEDITOR.config.smiley_path = CKEDITOR.basePath +
 	'_source/' +		// %REMOVE_LINE%
 	'plugins/smiley/images/';
 
-CKEDITOR.config.smiley_images = [ 'regular_smile.gif','sad_smile.gif','wink_smile.gif','teeth_smile.gif','confused_smile.gif','tounge_smile.gif',
+/**
+ * The file names for the smileys to be displayed. These files must be
+ * contained inside the URL path defined with the
+ * {@link CKEDITOR.config.smiley_path} setting.
+ * @type Array
+ * @default (see example)
+ * @example
+ * // This is actually the default value.
+ * config.smiley_images = [
+ *     'regular_smile.gif','sad_smile.gif','wink_smile.gif','teeth_smile.gif','confused_smile.gif','tounge_smile.gif',
+ *     'embaressed_smile.gif','omg_smile.gif','whatchutalkingabout_smile.gif','angry_smile.gif','angel_smile.gif','shades_smile.gif',
+ *     'devil_smile.gif','cry_smile.gif','lightbulb.gif','thumbs_down.gif','thumbs_up.gif','heart.gif',
+ *     'broken_heart.gif','kiss.gif','envelope.gif'];
+ */
+CKEDITOR.config.smiley_images = [
+	'regular_smile.gif','sad_smile.gif','wink_smile.gif','teeth_smile.gif','confused_smile.gif','tounge_smile.gif',
 	'embaressed_smile.gif','omg_smile.gif','whatchutalkingabout_smile.gif','angry_smile.gif','angel_smile.gif','shades_smile.gif',
 	'devil_smile.gif','cry_smile.gif','lightbulb.gif','thumbs_down.gif','thumbs_up.gif','heart.gif',
 	'broken_heart.gif','kiss.gif','envelope.gif'];
 
-CKEDITOR.config.smiley_descriptions = [ ':)', ':(', ';)', ':D', ':/', ':P', '', '', '', '', '', '', '', ';(', '', '', '', '', ':kiss', '' ];
-
-CKEDITOR.config.smiley_columns = 8;
+/**
+ * The description to be used for each of the smileys defined in the
+ * {@link CKEDITOR.config.smiley_images} setting. Each entry in this array list
+ * must match its relative pair in the {@link CKEDITOR.config.smiley_images}
+ * setting.
+ * @type Array
+ * @default (see example)
+ * @example
+ * // This is actually the default value.
+ * config.smiley_descriptions = [
+ *     ':)', ':(', ';)', ':D', ':/', ':P',
+ *     '', '', '', '', '', '',
+ *     '', ';(', '', '', '', '',
+ *     '', ':kiss', '' ];
+ */
+CKEDITOR.config.smiley_descriptions = [
+	':)', ':(', ';)', ':D', ':/', ':P',
+	'', '', '', '', '', '',
+	'', ';(', '', '', '', '',
+	'', ':kiss', '' ];
Index: CKEditor/trunk/_source/plugins/stylescombo/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/stylescombo/plugin.js	(revision 4035)
+++ CKEditor/trunk/_source/plugins/stylescombo/plugin.js	(revision 4036)
@@ -273,3 +273,23 @@
 })();
 
+/**
+ * The "styles definition set" to load into the styles combo. The styles may
+ * be defined in the page containing the editor, or can be loaded on demand
+ * from an external file when opening the styles combo for the fist time. In
+ * the second case, if this setting contains only a name, the styles definition
+ * file will be loaded from the "styles" folder inside the stylescombo plugin
+ * folder. Otherwise, this setting has the "name:url" syntax, making it
+ * possible to set the URL from which loading the styles file.
+ * @type string
+ * @default 'default'
+ * @example
+ * // Load from the stylescombo styles folder (mystyles.js file).
+ * config.stylesCombo_stylesSet = 'mystyles';
+ * @example
+ * // Load from a relative URL.
+ * config.stylesCombo_stylesSet = 'mystyles:/editorstyles/styles.js';
+ * @example
+ * // Load from a full URL.
+ * config.stylesCombo_stylesSet = 'mystyles:http://www.example.com/editorstyles/styles.js';
+ */
 CKEDITOR.config.stylesCombo_stylesSet = 'default';
Index: CKEditor/trunk/_source/plugins/tab/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/tab/plugin.js	(revision 4035)
+++ CKEditor/trunk/_source/plugins/tab/plugin.js	(revision 4036)
@@ -257,7 +257,7 @@
 /**
  * Intructs the editor to add a number of spaces (&amp;nbsp;) to the text when
- * hitting the TAB key. If set to zero, the TAB key will have its default
- * behavior instead (like moving out of the editor).
- * @type {Number}
+ * hitting the TAB key. If set to zero, the TAB key will be used to move the
+ * cursor focus to the next element in the page, out of the editor focus.
+ * @type Number
  * @default 0
  * @example
Index: CKEditor/trunk/_source/plugins/templates/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/templates/plugin.js	(revision 4035)
+++ CKEditor/trunk/_source/plugins/templates/plugin.js	(revision 4036)
@@ -66,4 +66,6 @@
  * @type String
  * @default 'default'
+ * @example
+ * config.templates = 'my_templates';
  */
 CKEDITOR.config.templates = 'default';
@@ -73,4 +75,11 @@
  * @type (String) Array
  * @default [ 'plugins/templates/templates/default.js' ]
+ * @example
+ * config.templates_files =
+ *     [
+ *         '/editor_templates/site_default.js',
+ *         'http://www.example.com/user_templates.js
+ *     ];
+ *
  */
 CKEDITOR.config.templates_files =
@@ -82,8 +91,10 @@
 
 /**
- * Whether replace the current document content OR insert current
- * editing position.
+ * Whether the "Replace actual contents" checkbox is checked by default in the
+ * Templates dialog.
  * @type Boolean
  * @default true
+ * @example
+ * config.templates_replaceContent = false;
  */
 CKEDITOR.config.templates_replaceContent = true;
Index: CKEditor/trunk/_source/plugins/toolbar/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/toolbar/plugin.js	(revision 4035)
+++ CKEditor/trunk/_source/plugins/toolbar/plugin.js	(revision 4036)
@@ -312,12 +312,18 @@
  * The toolbar definition. It is an array of toolbars (strips),
  * each one being also an array, containing a list of UI items.
+ * Note that this setting is composed by "toolbar_" added by the toolbar name,
+ * which in this case is called "Basic". This second part of the setting name
+ * can be anything. You must use this name in the
+ * {@link CKEDITOR.config.toolbar} setting, so you instruct the editor which
+ * toolbar_(name) setting to you.
  * @type Array
  * @example
  * // Defines a toolbar with only one strip containing the "Source" button, a
  * // separator and the "Bold" and "Italic" buttons.
- * <b>CKEDITOR.config.toolbar_Basic =
+ * <b>config.toolbar_Basic =
  * [
  *     [ 'Source', '-', 'Bold', 'Italic' ]
  * ]</b>;
+ * config.toolbar = 'Basic';
  */
 CKEDITOR.config.toolbar_Basic =
@@ -326,4 +332,29 @@
 ];
 
+/**
+ * This is the default toolbar definition used by the editor. It contains all
+ * editor features.
+ * @type Array
+ * @default (see example)
+ * @example
+ * // This is actually the default value.
+ * config.toolbar_Full =
+ * [
+ *     ['Source','-','Save','NewPage','Preview','-','Templates'],
+ *     ['Cut','Copy','Paste','PasteText','PasteFromWord','-','Print', 'SpellChecker', 'Scayt'],
+ *     ['Undo','Redo','-','Find','Replace','-','SelectAll','RemoveFormat'],
+ *     ['Form', 'Checkbox', 'Radio', 'TextField', 'Textarea', 'Select', 'Button', 'ImageButton', 'HiddenField'],
+ *     '/',
+ *     ['Bold','Italic','Underline','Strike','-','Subscript','Superscript'],
+ *     ['NumberedList','BulletedList','-','Outdent','Indent','Blockquote'],
+ *     ['JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock'],
+ *     ['Link','Unlink','Anchor'],
+ *     ['Image','Flash','Table','HorizontalRule','Smiley','SpecialChar','PageBreak'],
+ *     '/',
+ *     ['Styles','Format','Font','FontSize'],
+ *     ['TextColor','BGColor'],
+ *     ['Maximize', 'ShowBlocks','-','About']
+ * ];
+ */
 CKEDITOR.config.toolbar_Full =
 [
@@ -336,5 +367,6 @@
 	['NumberedList','BulletedList','-','Outdent','Indent','Blockquote'],
 	['JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock'],
-	['Link','Unlink','Anchor'],	['Image','Flash','Table','HorizontalRule','Smiley','SpecialChar','PageBreak'],
+	['Link','Unlink','Anchor'],
+	['Image','Flash','Table','HorizontalRule','Smiley','SpecialChar','PageBreak'],
 	'/',
 	['Styles','Format','Font','FontSize'],
@@ -344,19 +376,37 @@
 
 /**
- * The toolbox (alias toolbar) definition. It is a toolbar name or an array of toolbars (strips),
- * each one being also an array, containing a list of UI items.
- * @type Array or String
+ * The toolbox (alias toolbar) definition. It is a toolbar name or an array of
+ * toolbars (strips), each one being also an array, containing a list of UI items.
+ * @type Array|String
+ * @default 'Full'
  * @example
  * // Defines a toolbar with only one strip containing the "Source" button, a
  * // separator and the "Bold" and "Italic" buttons.
- * <b>CKEDITOR.config.toolbar =
+ * config.toolbar =
  * [
  *     [ 'Source', '-', 'Bold', 'Italic' ]
- * ]</b>;
+ * ];
+ * @example
  * // Load toolbar_Name where Name = Basic.
- * <b>CKEDITOR.config.toolbar = 'Basic';
+ * config.toolbar = 'Basic';
  */
 CKEDITOR.config.toolbar = 'Full';
 
+/**
+ * Whether the toolbar can be collapsed by the user. If disabled, the collapser
+ * button will not be displayed.
+ * @type Boolean
+ * @default true
+ * @example
+ * config.toolbarCanCollapse = false;
+ */
 CKEDITOR.config.toolbarCanCollapse = true;
+
+/**
+ * Whether the toolbar must start expanded when the editor is loaded.
+ * @type Boolean
+ * @default true
+ * @example
+ * config.toolbarStartupExpanded = false;
+ */
 CKEDITOR.config.toolbarStartupExpanded = true;
Index: CKEditor/trunk/_source/plugins/undo/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/undo/plugin.js	(revision 4035)
+++ CKEditor/trunk/_source/plugins/undo/plugin.js	(revision 4036)
@@ -480,3 +480,11 @@
 })();
 
+/**
+ * The number of undo steps to be saved. The higher this setting value the more
+ * memory is used for it.
+ * @type Number
+ * @default 20
+ * @example
+ * config.undoStackSize = 50;
+ */
 CKEDITOR.config.undoStackSize = 20;
Index: CKEditor/trunk/_source/plugins/wysiwygarea/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/wysiwygarea/plugin.js	(revision 4035)
+++ CKEditor/trunk/_source/plugins/wysiwygarea/plugin.js	(revision 4036)
@@ -591,5 +591,5 @@
 /**
  * Disables the ability of resize objects (image and tables) in the editing
- * area
+ * area.
  * @type Boolean
  * @default false
@@ -625,10 +625,12 @@
  */
 CKEDITOR.config.disableNativeSpellChecker = true;
+
 /**
- * The editor will post an empty value ("") if you have just an empty paragraph on it, like this:
+ * Whether the editor must output an empty value ("") if it's contents is made
+ * by an empty paragraph only.
+ * @type Boolean
+ * @default true
  * @example
- * <p></p>
- * <p><br /></p>
- * <p><b></b></p>
+ * config.ignoreEmptyParagraph = false;
  */
 CKEDITOR.config.ignoreEmptyParagraph = true;
Index: CKEditor/trunk/_source/skins/kama/skin.js
===================================================================
--- CKEditor/trunk/_source/skins/kama/skin.js	(revision 4035)
+++ CKEditor/trunk/_source/skins/kama/skin.js	(revision 4036)
@@ -276,2 +276,16 @@
 		});
 }
+
+/**
+ * The base user interface color to be used by the editor. Not all skins are
+ * compatible with this setting.
+ * @name CKEDITOR.config.uiColor
+ * @type String
+ * @default '' (empty)
+ * @example
+ * // Using a color code.
+ * config.uiColor = '#AADC6E';
+ * @example
+ * // Using an HTML color name.
+ * config.uiColor = 'Gold';
+ */
Index: CKEditor/trunk/config.js
===================================================================
--- CKEditor/trunk/config.js	(revision 4035)
+++ CKEditor/trunk/config.js	(revision 4036)
@@ -8,4 +8,4 @@
 	// Define changes to default configuration here. For example:
 	// config.language = 'fr';
-	// config.skin = 'office2003';
+	// config.uiColor = '#AADC6E';
 };
